Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models
Class ClassDiagramModel

    java.lang.Object
      |
      +--APStudio.models.BasicElement
            |
            +--APStudio.models.BasicSubpart
                  |
                  +--APStudio.models.ClassDiagramModel

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.ui.views.properties.IPropertySource, java.io.Serializable

public class ClassDiagramModel
extends BasicSubpart

Author:
  rajags To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TERMINAL_IN`
`static java.lang.String` | `TERMINAL_OUT`

Fields inherited from class APStudio.models.BasicSubpart
`CHILDREN, ID_LOCATION, ID_NAME, ID_SIZE, INPUTS, NODE_ADDED, NODE_REMOVED, OUTPUTS`

Constructor Summary
`ClassDiagramModel()` default constructor does nothing now
`ClassDiagramModel(java.lang.String ClassName)` constructor with the className passed

Method Summary
`org.eclipse.swt.graphics.Image` | `getIconImage()`
`java.lang.String` | `getLabelContents()`
`org.eclipse.draw2d.geometry.Point` | `getLocation()`
`org.eclipse.draw2d.geometry.Dimension` | `getSize()`
`void` | `setLabelContents(java.lang.String s)`
`void` | `setLocation(org.eclipse.draw2d.geometry.Point loc)`
`void` | `setSize(org.eclipse.draw2d.geometry.Dimension size)`
`java.lang.String` | `toString()`
`void` | `update()` For future use

Methods inherited from class APStudio.models.BasicSubpart
`addPropertyChangeListener, connectInput, connectOutput, disconnectInput, disconnectOutput, getConnections, getEditableValue, getIcon, getID, getName, getOutputs, getPropertyDescriptors, getPropertyValue, getSourceConnections, getTargetConnections, isPropertySet, isPropertySet, removePropertyChangeListener, resetPropertyValue, setID, setName, setPropertyValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TERMINAL_OUT

    public static java.lang.String TERMINAL_OUT

### TERMINAL_IN

    public static java.lang.String TERMINAL_IN

Constructor Detail

### ClassDiagramModel

    public ClassDiagramModel()

  default constructor does nothing now

### ClassDiagramModel

    public ClassDiagramModel(java.lang.String ClassName)

  constructor with the className passed

Parameters:
  `ClassName` -

Method Detail

### getIconImage

    public org.eclipse.swt.graphics.Image getIconImage()

  Specified by:
    `getIconImage` in class `BasicSubpart`

### setLabelContents

    public void setLabelContents(java.lang.String s)

### getLabelContents

    public java.lang.String getLabelContents()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setLocation

    public void setLocation(org.eclipse.draw2d.geometry.Point loc)

  Overrides:
    `setLocation` in class `BasicSubpart`
  Parameters:
    `loc` -

### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation()

  Overrides:
    `getLocation` in class `BasicSubpart`
  Returns:

### setSize

    public void setSize(org.eclipse.draw2d.geometry.Dimension size)

  Overrides:
    `setSize` in class `BasicSubpart`

### getSize

    public org.eclipse.draw2d.geometry.Dimension getSize()

  Overrides:
    `getSize` in class `BasicSubpart`
  Returns:

### update

    public void update()

  For future use

  Overrides:
    `update` in class `APStudio.models.BasicElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD